package com.fr.design.env;

import com.fr.workspace.connect.WorkspaceConnectionInfo;
import junit.framework.TestCase;
import org.junit.Assert;

/**
 * @author hades
 * @version 10.0
 * Created by hades on 2020/7/15
 */
public class RemoteDesignerWorkspaceInfoTest extends TestCase {

    public void testCheckValid() {
        RemoteDesignerWorkspaceInfo workspaceInfo0 = RemoteDesignerWorkspaceInfo.create(new WorkspaceConnectionInfo("http://localhost:8075/webroot/decision", "admin", "123", "", "", true));
        RemoteDesignerWorkspaceInfo workspaceInfo1 = RemoteDesignerWorkspaceInfo.create(new WorkspaceConnectionInfo("http://127.0.0.1:8075/webroot/decision", "admin", "123", "", "", true));
        RemoteDesignerWorkspaceInfo workspaceInfo2 = RemoteDesignerWorkspaceInfo.create(new WorkspaceConnectionInfo("https://127.0.0.1:8075/webroot/decision", "admin", "123", "", "", true));
        RemoteDesignerWorkspaceInfo workspaceInfo3 = RemoteDesignerWorkspaceInfo.create(new WorkspaceConnectionInfo("https://localhost:8075/webroot/decision", "admin", "123", "", "", true));
        Assert.assertFalse(workspaceInfo0.checkValid());
        Assert.assertFalse(workspaceInfo1.checkValid());
        Assert.assertFalse(workspaceInfo2.checkValid());
        Assert.assertFalse(workspaceInfo3.checkValid());
    }

}
